from dataclasses import dataclass
from pathlib import Path

import yaml


@dataclass
class ClippyConfig:
    config_dir: Path

    cookbook_namespaces: dict[str, str]


def load_config(path: Path) -> ClippyConfig:
    with path.open("r") as f:
        data = yaml.safe_load(f)

    return ClippyConfig(
        config_dir=path.parent,
        cookbook_namespaces=data["cookbook_namespaces"],
    )
